#include <p18cxxx.h>
//prototypes des gestionnaires d'interruption
void InterruptHandlerHigh (void);
void InterruptHandlerLow (void);

//Placement des sauts vers les gestionnaires d'interruptions
// 0x0008 et 0x0018 pour l'ICD
// 0x1008 et 0x1018 pour le bootloader HID
//----------------------------------------------------------------------------
// High priority interrupt vector
#if defined(BOOTLOADABLE)
   #pragma code InterruptVectorHigh = 0x1008
#else
   #pragma code InterruptVectorHigh = 0x08
#endif
void
InterruptVectorHigh (void)
{
  _asm
    goto InterruptHandlerHigh //jump to interrupt routine
  _endasm
}
// Low priority interrupt vector
#if defined(BOOTLOADABLE)
 #pragma code InterruptVectorLow = 0x1018
#else
 #pragma code InterruptVectorLow = 0x18
#endif
void
InterruptVectorLow (void)
{
  _asm
    goto InterruptHandlerLow //jump to interrupt routine
  _endasm
}
// Routines gestionnaire d'interruption
//----------------------------------------------------------------------------
// High priority interrupt routine
#pragma code
#pragma interrupt InterruptHandlerHigh
void
InterruptHandlerHigh ()
{

}
//----------------------------------------------------------------------------
// Low priority interrupt routine
#pragma code
#pragma interrupt InterruptHandlerLow
void
InterruptHandlerLow ()
{
}