/* 
 * File:   main.c
 * Author: philippe arlotto
 * Sample project to be loaded with HID bootloader
 * Created on 12 septembre 2013, 18:19
 */

#include <stdio.h>
#include <stdlib.h>
#include <p18cxxx.h>

#if defined(__18F2550)
        #pragma config PLLDIV   = 5    // (20 MHz crystal on POV USB board)
        #pragma config CPUDIV   = OSC1_PLL2
        #pragma config USBDIV   = 2         // Clock source from 96MHz PLL/2
        //#pragma config FOSC     = HSPLL_HS // CPU osc = 48MHz (?)
        #pragma config FOSC     = HS // CPU osc = 20MHz
        #pragma config FCMEN    = OFF
        #pragma config IESO     = OFF
        #pragma config PWRT     = OFF
        #pragma config BOR      = ON
        #pragma config BORV     = 3
        #pragma config VREGEN   = ON		//USB Voltage Regulator
        #pragma config WDT      = OFF
        #pragma config WDTPS    = 32768
        #pragma config MCLRE    = ON
        #pragma config LPT1OSC  = OFF
        #pragma config PBADEN   = OFF
        #pragma config LVP = OFF
        #pragma config STVREN   = ON
#endif

// BOOTLOADABLE est dfinie ou pas selon la configuration choisie

#if defined(__18F2550) && defined(BOOTLOADABLE)
// Pour utiliser le Bootloader HID de Microchip
#pragma code REMAPPED_RESET_VECTOR=0x1000
extern void _startup (void);

void _reset (void)
{
   _asm goto _startup _endasm
}

#endif

#ifdef BOOTLOADABLE
#warning "Attention Version bootloadable utiliser le bootloader \
HID pour la charger !"
#endif
#pragma code
#define LED PORTBbits.RB5
#define TrisLED TRISBbits.TRISB5

#define MAX_LOOP 30000

unsigned int loop_number ;

#pragma code
void main(void) {

    TrisLED =  0 ;

    for(;;){

        loop_number++;
        
        if ( loop_number > MAX_LOOP) {
            LED = !LED ;
            loop_number = 0 ;
            
        }

    }
}

